/* MoreBalance - load balancer and networking tool
 * Copyright (C) 2002 - 2006 Josef Spillner <josef@coolprojects.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef MAGIC_H
#define MAGIC_H

#include "conf.h"

/* Initialize all the magic */
void magic_initialize(conf *c);

/* Disable one node */
void magic_disable(const char *node, int port);

/* Return a node depending on the ip and the port */
char *magic_node(conf *c, const char *ip, int port, int peer);

/* Return a destination port depending on the ip and the port */
int magic_port(conf *c, const char *ip, int port);

/* Return a destination socket in case there's no port */
char *magic_socket(conf *c, const char *ip, int port);

/* Update traffic counter */
void magic_traffic(conf *c, const char *hostname, long long sbytes, long long rbytes);

#endif

