/* MoreBalance - load balancer and networking tool
 * Copyright (C) 2002 - 2006 Josef Spillner <josef@coolprojects.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef SPEC_H
#define SPEC_H

#define VERSION "0.4"

#ifndef USE_TLS
#define USE_TLS
#endif
#ifndef USE_PCRE
#define USE_PCRE
#endif
#ifndef USE_GETTEXT
#define USE_GETTEXT
#endif
#ifndef USE_ZLIB
#define USE_ZLIB
#endif

#ifdef USE_NO_TLS
#undef USE_TLS
#endif
#ifdef USE_NO_PCRE
#undef USE_PCRE
#endif
#ifdef USE_NO_GETTEXT
#undef USE_GETTEXT
#endif
#ifdef USE_NO_ZLIB
#undef USE_ZLIB
#endif

#define PID_FILE "/var/run/morebalance.pid"
#define LOG_FILE "/var/log/morebalance.log"

#ifndef PREFIX
#define PREFIX "/usr/local"
#endif

#ifdef USE_GETTEXT
#include <libintl.h>
#define _(x) gettext(x)
#else
#define _(x) (x)
#endif

#endif

